<div class="page">
  <app-sidebar class="nav flex-column" [user]="user" (isNav)="toggleNav($event)"></app-sidebar>
  <div class="{{isNav}}">
    <div class="container">
      <div class="mt-5 mb-5">
        <h3 class="text-center text-white">Historial</h3>
      </div>
      <div class="row">
        <div class="col-lg-5">
          <table mat-table [dataSource]="dones" class="mat-elevation-z8">
            <ng-container matColumnDef="Date">
              <th mat-header-cell *matHeaderCellDef> Date </th>
              <td mat-cell *matCellDef="let element"> {{element.date}} </td>
            </ng-container>
            
            <ng-container matColumnDef="Time">
              <th mat-header-cell *matHeaderCellDef> Time </th>
              <td mat-cell *matCellDef="let element"> {{element.time}} </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
        </div>
        <div class="col-lg-2"></div>
        <div class="col-lg-5">
          <table mat-table [dataSource]="notAttendance" class="mat-elevation-z8">
            <ng-container matColumnDef="Date">
              <th mat-header-cell *matHeaderCellDef> Date </th>
              <td mat-cell *matCellDef="let element"> {{element.date}} </td>
            </ng-container>
            
            <ng-container matColumnDef="Time">
              <th mat-header-cell *matHeaderCellDef> Time </th>
              <td mat-cell *matCellDef="let element"> {{element.time}} </td>
            </ng-container>
            <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
          </table>
        </div>
      </div>
    </div>
  </div>
</div>